繁体   English   中英

膨胀类com.sothree.slidinguppanel.SlidingUpPanelLayout时出错

Error inflating class com.sothree.slidinguppanel.SlidingUpPanelLayout

提示:本站收集StackOverFlow近2千万问答,支持中英文搜索,鼠标放在语句上弹窗显示对应的参考中文或英文, 本站还提供   中文繁体   英文版本   中英对照 版本,有任何建议请联系yoyou2525@163.com。

我在项目中使用了umano的SlidingUpPanel库 ,但是当我尝试运行该应用程序时,引发了InflateException

android.view.InflateException: Binary XML file line #1: Error inflating class com.sothree.slidinguppanel.SlidingUpPanelLayout

这是我的布局

<com.sothree.slidinguppanel.SlidingUpPanelLayout 
    xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:tools="http://schemas.android.com/tools"
    android:layout_width="match_parent"
    android:layout_height="match_parent"
    android:background="@color/bg_main"
    android:layout_gravity="bottom">

    <CalendarView
        android:layout_width="match_parent"
        android:layout_height="match_parent"/>

    <RelativeLayout
        android:layout_width="match_parent"
        android:layout_height="match_parent">
        <!-- other layout -->
    </RelativeLayout>
</com.sothree.slidinguppanel.SlidingUpPanelLayout>

这是我的gradle依赖

dependencies {
    compile fileTree(include: ['*.jar'], dir: 'libs')
    compile('com.google.android.gms:play-services:6.1.71') {
        exclude module: 'support-v4'
    }
    compile 'com.sothree.slidinguppanel:library:3.0.0'
    compile 'com.google.guava:guava-collections:r03'
    compile 'com.roomorama:caldroid:1.1.8'
}

我做错了什么?

1 个回复

根据之前的评论:

根据我所看到的,似乎您可能忘记了设置强制属性android:gravity="bottom|top" (选择一个),或者您可能将其与当前设置的android:layout_gravity="bottom"属性?

正确的重力属性应设置如下:

<com.sothree.slidinguppanel.SlidingUpPanelLayout 
    ...
    android:gravity="bottom"
    ...
>

...

</com.sothree.slidinguppanel.SlidingUpPanelLayout>
3 膨胀类com.google.android.ads.AdView时出错

从旧版AdMob迁移时,在布局XML中创建新的AdView时遇到了一个很奇怪的问题。 好。 产品定位条件-Google API 19默认属性-Google API 8 Google Play库在该项目中被引用,并且似乎已被删除,然后包含在生成的apk中(下面是证明)。 我的布 ...

7 admob膨胀类com.google.ads.AdView时出错

我有运行admob广告的应用。 最近,我切换到新的admob SDK(6.3.1)并设置了中介密钥,而不是标准admob密钥。 除了键之外,我没有更改任何代码。 现在,我已通过开发人员控制台收到此错误: 用户给我留言:再次打开时崩溃 这是AdHandler类: 这是a ...

暂无
暂无

声明:本站的技术帖子网页,遵循CC BY-SA 4.0协议,如果您需要转载,请注明本站网址或者原文地址。任何问题请咨询:yoyou2525@163.com.

 
粤ICP备18138465号  © 2020-2022 STACKOOM.COM